%define version 0.2.7
%define release 6mdk

%define major 0
%define libname %mklibname %{name}_ %major

Summary:	Trax Sequencer Engine
Name:		tse3
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://download.sourceforge.net/tse3/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	http://download.sourceforge.net/tse3/%{name}-%{version}.tar.bz2
Patch0:		tse3_alsa1.x_and_sustain.patch.bz2
Patch1:		tse3-fix-compile-gcc-3.4.patch.bz2

BuildRequires:	alsa-lib-devel >= 1.0
BuildRequires:	automake1.8
BuildRequires:	kdemultimedia-devel
BuildRequires:	kdelibs-common

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n %{libname}
Summary:	Trax Sequencer Engine Library
Group:		Sound
Requires:	%{name} = %{version}

%description -n %{libname}
TSE3 is a powerful open source sequencer engine written in C++.
This is the main tse3 library.

%package -n %{libname}-devel
Summary:	Tse3 header files
Group:		Development/C++
Requires:	%libname = %version
Provides:	libtse3-devel = %{version}-%{release}
Obsoletes:	libtse3-devel
Provides:	%{name}-devel = %{version}-%{release}

%description  -n %{libname}-devel
Tse3 header files.

%prep
%setup -q
%patch0 -p1 -b .alsa10_and_sustain
%patch1 -p1 -b .fix_compile_gcc_3_4

AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf --force --install

%build
CXXFLAGS="%optflags -fno-rtti"
%configure2_5x
# doesn't support SMP build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# use percent-doc to handle documentation instead
rm -rf package-doc
mv $RPM_BUILD_ROOT/usr/doc package-doc

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS README package-doc/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/tse3
%{_mandir}/man3/*

%changelog
* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 0.2.7-6mdk
- P0: Patch from noteedit website, supposed to fix alsa 1.0 detection and
  problem with sustain pedal

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.7-5mdk
- Rebuild 

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.7-4mdk
- fix provides
- use %%makeinstall_std macro

* Mon Aug 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.7-3mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- link against latest kde

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix url

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-3mdk
- make it %%mklibname aware
- fix unpackaged files

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- provides libtse3-devel

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- 
- fix devel subpackage group

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- initial release
